FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202102200141.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102200141.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=53f2398 OS_GIT_VERSION=4.6.0-202102200141.p0-53f2398 SOURCE_DATE_EPOCH=1610713212 SOURCE_GIT_COMMIT=53f2398ae6f0c7397a8854a2160d55a79b429252 SOURCE_GIT_TAG=53f2398 SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
WORKDIR /go/src/github.com/kubernetes-csi/livenessprobe
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0.20210220.022506
ENV __doozer=update BUILD_RELEASE=202102200141.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102200141.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=53f2398 OS_GIT_VERSION=4.6.0-202102200141.p0-53f2398 SOURCE_DATE_EPOCH=1610713212 SOURCE_GIT_COMMIT=53f2398ae6f0c7397a8854a2160d55a79b429252 SOURCE_GIT_TAG=53f2398 SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
COPY --from=builder /go/src/github.com/kubernetes-csi/livenessprobe/bin/livenessprobe /usr/bin/
ENTRYPOINT ["/usr/bin/livenessprobe"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="Liveness probe for CSI drivers" \
        io.k8s.display-name="Liveness probe for CSI drivers" \
        io.openshift.tags="csi,storage,probe" \
        vendor="Red Hat" \
        name="openshift/ose-csi-livenessprobe" \
        com.redhat.component="csi-livenessprobe-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202102200141.p0" \
        io.openshift.build.commit.id="53f2398ae6f0c7397a8854a2160d55a79b429252" \
        io.openshift.build.source-location="https://github.com/openshift/csi-livenessprobe" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-livenessprobe/commit/53f2398ae6f0c7397a8854a2160d55a79b429252" \
        version="v4.6.0"

